package com.ruoyi.project.affair.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.affair.mapper.TOfficesupplyMapper;
import com.ruoyi.project.affair.domain.TOfficesupply;
import com.ruoyi.project.affair.service.ITOfficesupplyService;

/**
 * 办公用品管理Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-02
 */
@Service
public class TOfficesupplyServiceImpl implements ITOfficesupplyService
{
    @Autowired
    private TOfficesupplyMapper tOfficesupplyMapper;

    /**
     * 查询办公用品管理
     *
     * @param id 办公用品管理ID
     * @return 办公用品管理
     */
    @Override
    public TOfficesupply selectTOfficesupplyById(String id)
    {
        return tOfficesupplyMapper.selectTOfficesupplyById(id);
    }

    /**
     * 查询办公用品管理列表
     *
     * @param tOfficesupply 办公用品管理
     * @return 办公用品管理
     */
    @Override
    public List<TOfficesupply> selectTOfficesupplyList(TOfficesupply tOfficesupply)
    {
        return tOfficesupplyMapper.selectTOfficesupplyList(tOfficesupply);
    }

    /**
     * 新增办公用品管理
     *
     * @param tOfficesupply 办公用品管理
     * @return 结果
     */
    @Override
    public int insertTOfficesupply(TOfficesupply tOfficesupply)
    {
        return tOfficesupplyMapper.insertTOfficesupply(tOfficesupply);
    }

    /**
     * 修改办公用品管理
     *
     * @param tOfficesupply 办公用品管理
     * @return 结果
     */
    @Override
    public int updateTOfficesupply(TOfficesupply tOfficesupply)
    {
        return tOfficesupplyMapper.updateTOfficesupply(tOfficesupply);
    }

    /**
     * 批量删除办公用品管理
     *
     * @param ids 需要删除的办公用品管理ID
     * @return 结果
     */
    @Override
    public int deleteTOfficesupplyByIds(String[] ids)
    {
        return tOfficesupplyMapper.deleteTOfficesupplyByIds(ids);
    }

    /**
     * 删除办公用品管理信息
     *
     * @param id 办公用品管理ID
     * @return 结果
     */
    @Override
    public int deleteTOfficesupplyById(String id)
    {
        return tOfficesupplyMapper.deleteTOfficesupplyById(id);
    }
}
